For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
          • Authentication
          • Catalog
          • Company
          • Orders
          • Request for Quote
            • GETList Quotes
            • POSTCreate Quote
            • GETGet Quote Details
            • PUTSend Quote Message
            • POSTGenerate Cart and Checkout URL for Quote
            • POSTAssign Quote to BigCommerce Order
            • POSTExport Quote PDF
            • GETGet Quote Configs
            • POSTSend Quote Email
            • GETGet Quote Store Info
          • Sales Rep
          • Shopping List
          • Store Settings
      • Management
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BStorefrontRequest for Quote

Get Quote Configs

GET
https://api-b2b.bigcommerce.com/api/v2/rfq/configs
GET
/api/v2/rfq/configs
$curl -G https://api-b2b.bigcommerce.com/api/v2/rfq/configs \
> -H "Authorization: Bearer <token>" \
> -d storeHash=abcd1234
200example
1{
2 "code": 200,
3 "message": "SUCCESS",
4 "data": {
5 "switchStatus": [
6 {
7 "key": "quote_reminder_notification",
8 "isEnabled": "1"
9 },
10 {
11 "key": "quote_customer",
12 "isEnabled": "1"
13 },
14 {
15 "key": "quote_on_product_page",
16 "isEnabled": "1"
17 },
18 {
19 "key": "quote_on_cart_page",
20 "isEnabled": "1"
21 },
22 {
23 "key": "quote_for_guest",
24 "isEnabled": "1"
25 },
26 {
27 "key": "quote_for_individual_customer",
28 "isEnabled": "1"
29 },
30 {
31 "key": "quote_for_b2b",
32 "isEnabled": "1"
33 },
34 {
35 "key": "quote_sales_rep_visibility",
36 "isEnabled": "1"
37 },
38 {
39 "key": "email_quote_for_merchant",
40 "isEnabled": "1"
41 },
42 {
43 "key": "quote_logo",
44 "isEnabled": "https://mybcstore.com/logo.png"
45 },
46 {
47 "key": "quote_cost_column",
48 "isEnabled": "1"
49 },
50 {
51 "key": "quote_margin_column",
52 "isEnabled": "1"
53 },
54 {
55 "key": "customer_update_quote_message_email_sales_rep",
56 "isEnabled": "1"
57 },
58 {
59 "key": "sales_rep_update_quote_message_email_customer",
60 "isEnabled": "1"
61 },
62 {
63 "key": "quote_send_customer_notes_to_order",
64 "isEnabled": "1"
65 },
66 {
67 "key": "quote_send_product_notes_to_order",
68 "isEnabled": "1"
69 },
70 {
71 "key": "quote_custom_shipping",
72 "isEnabled": "1"
73 },
74 {
75 "key": "quote_default_pdf",
76 "isEnabled": "1"
77 }
78 ],
79 "quoteOtherConfigs": [
80 {
81 "key": "defaultExpirationDate",
82 "value": "45"
83 },
84 {
85 "key": "defaultTermsAndConditions",
86 "value": "Thank you for the opportunity to provide this quote! Please note the following:\n - Quotes are valid for 30 days unless otherwise stated.\n - Pricing is subject to change at any time.\n - Please note, the shipping and tax quoted are estimates only. Final shipping and tax will be calculated during checkout and may be billed post sale.\n - Due to fluctuating shipping rates, LTL shipping calculations are only estimates. Final LTL rates will be determined by quote upon shipment and may be billed post sale. Also, if a lift gate is required an additional fee will apply if not included in this quote.\n - Please contact your Technical Sales Representative, call 512-11-1111, or email sales.rep@mybcstore.com for assistance."
87 }
88 ]
89 }
90}
Retrieves settings configurations related to storefront quotes from your store's General, Quotes, and Email settings, as well as built-in settings. This endpoint can be called without a Bearer token, as it returns information that can apply to guest shoppers. **Note:** The `storeHash` parameter must be included to return the store's configurations. If omitted, the response will be successful, but it will not contain any data. Equivalent Storefront GraphQL API Query: `quoteConfig`. ### Available Configs Quote configs appear in the response as key-value pairs. See the table to learn more about the setting that corresponds to each config key. | Config Key | Description | | --- | --- | | quote_reminder_notification | Indicates whether the Quote reminder template for buyers is enabled in the store's Email settings | | quote_customer | Indicates whether quotes are enabled in the Feature management area of the store's General settings | | quote_on_product_page | Indicates whether the product page Add to quote button is enabled in the store's Quotes settings | | quote_on_cart_page | Indicates whether the cart page Add to quote button is enabled in the store's Quotes settings | | quote_for_guest | Indicates whether quote requests are enabled for guest shoppers in the store's Quotes settings | | quote_for_individual_customer | Indicates whether quote requests are enabled for storefront customers in the store's Quotes settings | | quote_for_b2b | Indicates whether quote requests are enabled for Company users in the store's Quotes settings | | quote_sales_rep_visibility | Indicates whether Sales Staff users are restricted to viewing quotes from their assigned Companies. This is enabled by default, and cannot be disabled. | | quote_sales_rep_creation | Indicates whether the built-in Sales Rep system user role is authorized to create quotes in the B2B Edition control panel. This configuration cannot be disabled, but you can create a custom user role for Sales Staff without quote permissions. | | email_quote_for_merchant | Indicates whether the New quote email template for merchants is enabled in the store's Email settings | | quote_logo | The URL for the logo image in the store's General setings, which appears on quote emails and PDFs | | quote_cost_column | Indicates whether the store's Quotes settings are configured to display the product cost column in the line items table while viewing a quote in the B2B Edition control panel | | quote_margin_column | Indicates whether the store's Quotes settings are configured to display the cost margin column in the line items table while viewing a quote in the B2B Edition control panel | | customer_update_quote_message_email_sales_rep | Indicates whether Sales Staff users are notified via email when a buyer from an assigned Company has created a quote. This is configured during initial setup. | | sales_rep_update_quote_message_email_customer | Indicates whether buyers are notified via email when a Sales Staff user has created a quote for them. This is configured during initial setup. | | quote_send_customer_notes_to_order | Indicates whether the store's Quotes settings are configured to transfer customer-facing notes on the quote to the corresponding order by default | | quote_send_product_notes_to_order | Indicates whether the store's Quotes settings are configured to transfer line item-specific notes on the quote to the corresponding order by default | | quote_custom_shipping | Indicates whether custom shipping is enabled in the store's Quotes settings | | quote_default_pdf | The template used by default when buyers download a quote PDF | | defaultExpirationDate | The default number of days before a new quote expires | | defaultTermsAndConditions | The default terms and conditions configured in the store's Quotes settings |
Was this page helpful?
Previous

Export Quote PDF

Next

Send Quote Email

Built with

Retrieves settings configurations related to storefront quotes from your store’s General, Quotes, and Email settings, as well as built-in settings. This endpoint can be called without a Bearer token, as it returns information that can apply to guest shoppers.

Note: The storeHash parameter must be included to return the store’s configurations. If omitted, the response will be successful, but it will not contain any data.

Equivalent Storefront GraphQL API Query: quoteConfig.

Available Configs

Quote configs appear in the response as key-value pairs. See the table to learn more about the setting that corresponds to each config key.

Config KeyDescription
quote_reminder_notificationIndicates whether the Quote reminder template for buyers is enabled in the store’s Email settings
quote_customerIndicates whether quotes are enabled in the Feature management area of the store’s General settings
quote_on_product_pageIndicates whether the product page Add to quote button is enabled in the store’s Quotes settings
quote_on_cart_pageIndicates whether the cart page Add to quote button is enabled in the store’s Quotes settings
quote_for_guestIndicates whether quote requests are enabled for guest shoppers in the store’s Quotes settings
quote_for_individual_customerIndicates whether quote requests are enabled for storefront customers in the store’s Quotes settings
quote_for_b2bIndicates whether quote requests are enabled for Company users in the store’s Quotes settings
quote_sales_rep_visibilityIndicates whether Sales Staff users are restricted to viewing quotes from their assigned Companies. This is enabled by default, and cannot be disabled.
quote_sales_rep_creationIndicates whether the built-in Sales Rep system user role is authorized to create quotes in the B2B Edition control panel. This configuration cannot be disabled, but you can create a custom user role for Sales Staff without quote permissions.
email_quote_for_merchantIndicates whether the New quote email template for merchants is enabled in the store’s Email settings
quote_logoThe URL for the logo image in the store’s General setings, which appears on quote emails and PDFs
quote_cost_columnIndicates whether the store’s Quotes settings are configured to display the product cost column in the line items table while viewing a quote in the B2B Edition control panel
quote_margin_columnIndicates whether the store’s Quotes settings are configured to display the cost margin column in the line items table while viewing a quote in the B2B Edition control panel
customer_update_quote_message_email_sales_repIndicates whether Sales Staff users are notified via email when a buyer from an assigned Company has created a quote. This is configured during initial setup.
sales_rep_update_quote_message_email_customerIndicates whether buyers are notified via email when a Sales Staff user has created a quote for them. This is configured during initial setup.
quote_send_customer_notes_to_orderIndicates whether the store’s Quotes settings are configured to transfer customer-facing notes on the quote to the corresponding order by default
quote_send_product_notes_to_orderIndicates whether the store’s Quotes settings are configured to transfer line item-specific notes on the quote to the corresponding order by default
quote_custom_shippingIndicates whether custom shipping is enabled in the store’s Quotes settings
quote_default_pdfThe template used by default when buyers download a quote PDF
defaultExpirationDateThe default number of days before a new quote expires
defaultTermsAndConditionsThe default terms and conditions configured in the store’s Quotes settings

Authentication

AuthorizationBearer

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

Query parameters

storeHashstringOptional
The unique alphanumeric store hash for the BigCommerce store.

Response

OK
codeintegerDefaults to 200
messagestringDefaults to SUCCESS
dataobject